GET

/api/v1/terminal/orders

Permission: SMART_TRADES_READSecurity: SIGNED

Returns a list of currently active trades. This endpoint returns only active (open) trades. For completed trades, use GET /api/v1/terminal/history.

See Trade Entity for full attribute definitions
Trade Entity

Query Parameters

6
account_idinteger

Optional filter for trades on a specific exchange account. Retrieve available account IDs via GET /api/v1/accounts.

pairstring

Optional filter for trades on a specific trading pair (e.g., USDT_BTC, BTC_ETH).

order_bystring
default: created_at

Field to sort results by. Allowed values: pair, created_at.

order_directionstring
default: asc

Sort direction: asc or desc.

limitinteger
default: 10

Number of records to return per page.

offsetinteger
default: 0

Number of records to skip for pagination.

Example Request

GETGET /quentrade/trades?account_id=1&limit=5

Example Responses

Returns an array of active trade entities. See Trade Entity for full attribute definitions.

get_active_trades_200.json
200 OK
{
  "trades": [
    {
      "uuid": "be523b7b-05a0-49b9-89f9-41ae19fff415",
      "account_id": 32576869,
      "pair": "BTC_ETH",
      "created_at": 1727871936,
      "closed_at": null,
      "order": {
        "type": "market",
        "side": "buy",
        "strategy": null,
        "position_side": "both",
        "reduce_only": false
      },
      "units": {
        "value": "2.4869"
      },
      "price": {
        "value": null
      },
      "total": {
        "value": "0.099898773"
      },
      "conditional": {
        "enabled": false,
        "value": null,
        "price": {
          "value": null,
          "type": null
        }
      },
      "trailing": {
        "enabled": false,
        "value": null,
        "percent": null
      },
      "timeout": {
        "enabled": false,
        "value": null
      },
      "leverage": {
        "type": null
      },
      "status": {
        "value": "order_placed",
        "error": null
      },
      "filled": {
        "units": "0.0",
        "total": "0.0",
        "price": null,
        "value": "0.0"
      },
      "data": {
        "cancelable": true
      }
    }
  ]
}